Esempio n. 1
0
 def Activated(self):
     import replaceobj
     objs=FreeCADGui.Selection.getSelection()
     if len(objs)==3 or \
             tuple((len(obj.InList)) for obj in objs) in ((0,1),(1,0)):
         replaceobj.replaceobjfromselection(objs)
     else:
         FreeCAD.Console.PrintError(translate('OpenSCAD', 'Please select 3 objects first')+u'\n')
    def Activated(self):
        import replaceobj

        objs = FreeCADGui.Selection.getSelection()
        if len(objs) == 3 or tuple((len(obj.InList)) for obj in objs) in ((0, 1), (1, 0)):
            replaceobj.replaceobjfromselection(objs)
        else:
            FreeCAD.Console.PrintError(unicode(translate("OpenSCAD", "Please select 3 objects first")) + u"\n")
 def Activated(self):
     import replaceobj
     #objs=[selobj.Object for selobj in FreeCADGui.Selection.getSelectionEx()]
     objs = FreeCADGui.Selection.getSelection()
     if len(objs) == 3:
         replaceobj.replaceobjfromselection(objs)
     else:
         FreeCAD.Console.PrintError('please select 3 objects first')
Esempio n. 4
0
 def Activated(self):
     import replaceobj
     #objs=[selobj.Object for selobj in FreeCADGui.Selection.getSelectionEx()]
     objs=FreeCADGui.Selection.getSelection()
     if len(objs)==3:
         replaceobj.replaceobjfromselection(objs)
     else:
         FreeCAD.Console.PrintError('please select 3 objects first')
 def Activated(self):
     import replaceobj
     #objs=[selobj.Object for selobj in FreeCADGui.Selection.getSelectionEx()]
     objs=FreeCADGui.Selection.getSelection()
     if len(objs)==3:
         replaceobj.replaceobjfromselection(objs)
     else:
         FreeCAD.Console.PrintError(unicode(translate('OpenSCAD',\
                 'Please select 3 objects first'))+u'\n')
Esempio n. 6
0
 def Activated(self):
     import replaceobj
     #objs=[selobj.Object for selobj in FreeCADGui.Selection.getSelectionEx()]
     objs = FreeCADGui.Selection.getSelection()
     if len(objs) == 3:
         replaceobj.replaceobjfromselection(objs)
     else:
         FreeCAD.Console.PrintError(unicode(translate('OpenSCAD',\
                 'Please select 3 objects first'))+u'\n')
 def Activated(self):
     import replaceobj
     objs=FreeCADGui.Selection.getSelection()
     if len(objs)==3 or \
             tuple((len(obj.InList)) for obj in objs) in ((0,1),(1,0)):
         replaceobj.replaceobjfromselection(objs)
     else:
         FreeCAD.Console.PrintError(translate('OpenSCAD',\
                 'Please select 3 objects first')+u'\n')